> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List supported Webhook Relay types

> Returns every webhook relay type that can be configured for your account (e.g., Twilio SMS, Chargebee, etc.).



## OpenAPI

````yaml get /api/v2/webhookRelay/types
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/webhookRelay/types:
    get:
      tags:
        - Webhooks
      summary: List supported Webhook Relay types
      description: >-
        Returns every webhook relay type that can be configured for your account
        (e.g., Twilio SMS, Chargebee, etc.).
      responses:
        '200':
          description: Relay types fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Webhook Relay types fetched successfully
                  types:
                    type: array
                    items:
                      type: object
                      required:
                        - name
                        - description
                      properties:
                        name:
                          type: string
                          description: Unique identifier for this relay type
                          example: twilioSMS
                        description:
                          type: string
                          description: What the relay does
                          example: >-
                            Proxy inbound Twilio SMS webhooks to your app first
                            before agent processes them.
        '401':
          description: Unauthorized – missing or invalid API key/token
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized Request
        '500':
          description: Internal server or data-store error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Internal data store error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````